package com.yizhi.training.application.controller;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.training.application.service.LeaveWordService;
import com.yizhi.training.application.vo.domain.LeaveWordParamVo;
import com.yizhi.training.application.vo.domain.LeaveWordVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * com.yizhi.training.application.controller
 *
 * @author yanglang
 * @create 2025-01-03 13:34:48
 */
@RestController
@RequestMapping("/manage/leaveWord")
public class LeaveWordController {

    @Autowired
    private LeaveWordService leaveWordService;

    @PostMapping("/page")
    public Page<LeaveWordVo> page(LeaveWordParamVo paramVo){
        return leaveWordService.page(paramVo);
    }

    @PostMapping("/save")
    public boolean save(LeaveWordVo leaveWordVo){
        return leaveWordService.save(leaveWordVo);
    }

    @GetMapping("/getById")
    public LeaveWordVo getById(Long id){
        return leaveWordService.getById(id);
    }

    @GetMapping("/updateState")
    public boolean updateState(Long id,Integer state){
        return leaveWordService.updateState(id,state);
    }

    @GetMapping("/removeById")
    public boolean removeById(Long id){
        return leaveWordService.removeById(id);
    }
}
